Name:           ember
Version:        0.6.2
Release:        8%{?dist}
Summary:        3D client for WorldForge

Group:          Amusements/Games
License:        GPLv3+
URL:            http://www.worldforge.org/dev/eng/clients/ember
Source0:        http://downloads.sourceforge.net/worldforge/%{name}-%{version}.tar.bz2
Patch1:         ember-0.6.0-fix_implicit_dso.patch
Patch2:         ember-gcc47.patch
Patch3:         ember-start.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel tinyxml-devel DevIL-devel cegui-devel ogre-devel
BuildRequires:  lua-devel tolua++-devel openal-devel freealut-devel
BuildRequires:  atlascpp-devel 
BuildRequires:  eris-devel >= 1.3.16 
BuildRequires:  mercator-devel varconf-devel wfmath-devel libwfut-devel
BuildRequires:  desktop-file-utils

Requires:       %{name}-media >= 0.6.2 %{name}-media < 0.6.3

%description
Ember is a client for MMORPGs using the WorldForge system.
It uses the Ogre 3D engine with CEGUI.


%prep
%setup -q
%patch1 -p1
%patch2 -p0
%patch3 -p0

# Encoding fix
iconv -f iso-8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS


%build
%configure --disable-static --disable-freeimage-check
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor="fedora" \
    --remove-category="Application" --add-category="RolePlaying" \
    --delete-original --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mv $RPM_BUILD_ROOT%{_datadir}/icons/worldforge/ember.png \
    $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# Don't need zero length files
rm -f $RPM_BUILD_ROOT%{_datadir}/ember/media/shared/modeldefinitions/{drystan_archer,vehicles,outdoor_structures,buildings,fencegate,palissade,house_A,choppingblockA,choppingblockB,mushroom,male,humanoid}.modeldef
rm -f $RPM_BUILD_ROOT%{_datadir}/ember/media/shared/common/resources/ogre/scripts/materials/smoke.material

%check
make check


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}.bin
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/ember.png
# datadir/%{name} is owned by ember-media
# datadir/%{name}/media is owned by ember-media
# datadir/%{name}/media/shared is owned by ember-media
%{_datadir}/%{name}/media/shared/gui
%{_datadir}/%{name}/media/shared/entityrecipes
%{_datadir}/%{name}/media/shared/modeldefinitions
%{_datadir}/%{name}/media/shared/scripting
%{_datadir}/%{name}/media/shared/sounddefinitions
# datadir/%{name}/media/user is owned by ember-media

# Not using noreplace: having old config file can make things not working as was intended. User can override settings with config in homedir.
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/*

%changelog
* Thu Feb 03 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-8
- Really fix start up script bz 786287

* Wed Feb 01 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-7
- Fix start up script bz 786287

* Tue Jan 24 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-6
- Rebuild for cegui soname bump

* Mon Jan 23 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-5
- Fixes for gcc 4.7

* Wed Jan 18 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-4
- Allow a small bit of version skew between ember and ember-media

* Sat Nov 19 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.2-2
- Rebuild for boost soname bump

* Sat Nov 19 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.2-1
- New upstream release
- Release announcement: http://worldforgedev.org/archives/462

* Fri Jul 22 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.1.1-3
- Rebuild for boost 1.47

* Mon May 16 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.1.1-2
- Use ember-media 0.6.1 instead of requiring 0.6.1.1 which doesn't exist

* Sun May 15 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.1.1-1
- Upstream update to 0.6.1.1

* Sun May 01 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.1-2
- The startup shell script changed slightly, breaking a patch

* Sun May 01 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.1-1
- Update to ember-0.6.1
- Seems to be pretty much a bug fix release based on the changelog in the source archive.

* Wed Apr 06 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-6
- Rebuild for boost soname bump to 1.46.1 in rawhide.

* Sat Mar 12 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-5
- Fix low level security risk (CVE-2010-3355 bug 638381)
- Avoid pointlessly munging LD_LIBRARY_PATH

* Thu Mar 10 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-4
- Rebuild for new boost and ogre.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Thomas Spura <tomspur@fedoraproject.org> - 0.6.0-2
- rebuild for new boost

* Thu Jan  6 2011 Tom Callaway <spot@fedoraproject.org> - 0.6.0-1
- update to 0.6.0

* Sun Jul  4 2010 Michel Salim <salimma@fedoraproject.org> - 0.5.6-5
- Fix implicit DSO bug (#565162)

* Tue Oct 06 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.6-4
- Rebuild for varconf interface version bump

* Mon Sep 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.6-3
- Rebuilt for new OGRE

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.6-1
- Update to 0.5.6

* Mon Mar 02 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.5-5
- Update for new OGRE

* Sun Mar 01 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.5-4
- Adding unowned directory

* Sat Feb 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.5-3
- Fixing build with recent compilers

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 20 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.5-1
- Update to 0.5.5

* Wed Dec 03 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-5
- Removed program name from description
- Rebuild for new CEGUI

* Mon Nov 04 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-4
- Rebuild for new OGRE
- Including lost entityrecipes and sounddefinitions to media
- Running unit checks during build

* Thu Oct 23 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-3
- Workaround of crash in Caelum with new OGRE

* Thu Oct 02 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-2
- Update for new OGRE

* Tue Sep 09 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-1
- Update to 0.5.4.

* Tue Jul 08 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.3-1
- Update to 0.5.3.

* Fri Jun 20 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.2-1
- Inital spec for Fedora.
